@import "pref";

nevis-account-public-info {
  @include decorateContent();
  margin-bottom: $form-std-indent;
  padding-bottom: $form-two-thirds-indent;

  h2 {
    font-weight: $font-weight-medium;
  }
}

.nevis-account-public-info {
  position: relative;

  mat-divider {
    margin-top: $form-half-indent;
    margin-bottom: $form-half-indent;
  }
}

.nevis-account-public-info__btn-refresh {

  &.mat-button {
    margin-bottom: $form-two-thirds-indent;
    padding: 7px 12px;
    font-weight: $font-weight-normal;
  }
}

.nevis-account-public-info__table {
  width: 100%;
  margin-top: $form-half-indent;
  font-size: $font-size-x1;
  line-height: $font-size-x4;

  td {
    vertical-align: top;
    padding-bottom: 5px;
  }

  .label {
    width: 35%;
    color: $color-pearl-dark-grey;
  }
}

.nevis-account-public-info__svg-lock {
  width: 13px;
  height: 13px;
}


//
// ADAPTIVE
//
@include media-tablet {

  .nevis-account-public-info__block1 {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: flex-start;
  }

  .nevis-account-public-info__userpic {
    margin-right: $form-std-indent;
  }

  .nevis-account-public-info__table {
    margin-top: 0;

    .label {
      width: 17%;
    }
  }
}

@include media-desktop {

  .nevis-account-public-info__table {
    .label {
      width: 11%;
    }
  }
}
